#include "defines.h"
#include "astdio.h"
#include "ascsi.h"
#include "fat32.h"

int 
#ifdef _VFAT_
vfnsplit32
#else
fnsplit32
#endif
(const unchar *fname
	,unchar *drv,unchar *dir,unchar *name,unchar *ext,int atr,FILE32 *fp,int mode)
{
	strsfn32(fname,drv,dir,name,ext);
//	printf("drv=%s,dir=%sname=%s,ext=%s\n",drv,dir,name,ext);
	if (
	#ifdef _VFAT_
		_VFILES32
	#else
		_FILES32
	#endif
		(fp,fname,atr,1)<0) {
		if (!mode) printsn("\aファイルが見つかりません：",fname);
		return(1);
	}
	return(0);
}
